package com.ruoyi.project.sems.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TMeasureStress;

/**
 * 材料应力Mapper接口
 *
 * @author ssy
 * @date 2025-03-19
 */
public interface TMeasureStressMapper
{
    /**
     * 查询材料应力
     *
     * @param id 材料应力ID
     * @return 材料应力
     */
    public TMeasureStress selectTMeasureStressById(Long id);

    public TMeasureStress selectTMeasureStressByName(String name);

    /**
     * 查询材料应力列表
     *
     * @param tMeasureStress 材料应力
     * @return 材料应力集合
     */
    @DataScope(deptAlias = "d")
    public List<TMeasureStress> selectTMeasureStressList(TMeasureStress tMeasureStress);

    /**
     * 新增材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    public int insertTMeasureStress(TMeasureStress tMeasureStress);

    /**
     * 修改材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    public int updateTMeasureStress(TMeasureStress tMeasureStress);

    /**
     * 删除材料应力
     *
     * @param id 材料应力ID
     * @return 结果
     */
    public int deleteTMeasureStressById(Long id);

    /**
     * 批量删除材料应力
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMeasureStressByIds(Long[] ids);


}
